import java.io.*;
import java.awt.*;
import java.applet.Applet;

public class renk extends Color
{
  public final static renk kirmizi=new renk(255,0,0);
  public final static renk mavi=new renk(0,0,255);
  public final static renk siyah=new renk(0,0,0);
  public final static renk camgobegi=new renk(0,255,255);
  public final static renk koyugri=new renk(64,64,64);
  public final static renk gri=new renk(128,138,128);
  public final static renk yesil=new renk(0,255,0);
  public final static renk acikgri=new renk(192,192,192);
  public final static renk mor=new renk(255,0,255);
  public final static renk portakal=new renk(255,200,0);
  public final static renk pembe=new renk(255,175,175);
  public final static renk beyaz=new renk(255,255,255);
  public final static renk sari=new renk(255,255,0);
  public final static renk acikmavi=new renk(150,206,237);
  public final static renk lacivert=new renk(0,0,128);
  //burada kendi yeni renginizi tanımlayabilirsiniz.

  public renk(float kirmizi,float yesil, float mavi)
  {super(kirmizi,yesil,mavi);}

  public renk(double kirmizi,double yesil, double mavi)
  {super((float)kirmizi,(float)yesil,(float)mavi);}

  public renk(int kirmizi,int yesil, int mavi)
  {super(kirmizi,yesil,mavi);}

  public renk(int RGB)
  {super(RGB);}

  public renk(renk r)
  {super(r.getKirmizi(),r.getYesil(),r.getMavi());}

  public int getKirmizi()
  {return getRed();}

  public int getYesil()
  {return getGreen();}

  public int getMavi()
  {return getBlue();}

  public int getKYM()
  {return getRGB();}

  public Color toColor()
  {return (Color)this;}

  public static renk toRenk(Color r)
  {return (renk)r;}

  public String toString()
  {return "renk[ kirmizi "+getKirmizi()+" mavi "+getMavi()+" yesil "+getYesil()+"]";}

 //metodlar : bu metodlar direk olarak extends sözcüğüyle (bir üst sınıfta) tanımlanmıştır
 //static int HSBtoRGB(float hue,float saturation,float brightness)
 //getRed(),getGreen(),getBlue(),getRGB()
}
